﻿Imports Utilities
Imports System.Data.SqlClient
Partial Class OperatorClass
    Inherits System.Web.UI.Page

    Protected Sub cboMachine_DataBound(sender As Object, e As System.EventArgs) Handles cboMachine.DataBound
        Utilities.SetScreenParameter("_param_Maskin", Me.cboMachine.Text, Session("UsersConnectionString"))
        Utilities.SetScreenParameter("_param_Datum", FormatDateTime(Now.Date, DateFormat.ShortDate), Session("UsersConnectionString"))
        Try
            Me.ListView2.DataBind()
            Me.ListView4.DataBind()
            Me.ListView5.DataBind()
            Me.ListView6.DataBind()
        Catch ex As Exception
        End Try

        Me.txtProductionMachine.Text = Me.cboMachine.Text
        Me.txtProductionDate.Text = Now.Date
        Me.cboProductionPartNumber.DataBind()
        Me.cboProductionTO.DataBind()

        Me.txtScrapMachine.Text = Me.cboMachine.Text
        Me.txtScrapDate.Text = Now.Date
        Me.cboScrapPartNumber.DataBind()
        Me.cboScrapTO.DataBind()

        Me.txtStopsMachine.Text = Me.cboMachine.Text
        Me.txtStopsDate.Text = Now.Date
    End Sub

    Protected Sub cboProductionPartNumber_SelectedIndexChanged(sender As Object, e As System.EventArgs) Handles cboProductionPartNumber.SelectedIndexChanged
        Me.cboProductionTO.DataBind()
    End Sub
    Protected Sub cboScrapPartNumber_SelectedIndexChanged(sender As Object, e As System.EventArgs) Handles cboScrapPartNumber.SelectedIndexChanged
        Me.cboProductionTO.DataBind()
    End Sub

    Protected Sub cboMachine_SelectedIndexChanged(sender As Object, e As System.EventArgs) Handles cboMachine.SelectedIndexChanged
        Utilities.SetScreenParameter("_param_Maskin", Me.cboMachine.Text, Session("UsersConnectionString"))
        Utilities.SetScreenParameter("_param_Datum", FormatDateTime(Now.Date, DateFormat.ShortDate), Session("UsersConnectionString"))
        Try
            Me.ListView2.DataBind()
            Me.ListView4.DataBind()
            Me.ListView5.DataBind()
            Me.ListView6.DataBind()
        Catch ex As Exception

        End Try

        Me.txtProductionMachine.Text = Me.cboMachine.Text
        Me.txtProductionDate.Text = Now.Date
        Me.cboProductionPartNumber.DataBind()
        Me.cboProductionTO.DataBind()

        Me.txtScrapMachine.Text = Me.cboMachine.Text
        Me.txtScrapDate.Text = Now.Date
        Me.cboScrapPartNumber.DataBind()
        Me.cboScrapTO.DataBind()

        Me.txtStopsMachine.Text = Me.cboMachine.Text
        Me.txtStopsDate.Text = Now.Date
    End Sub

    Protected Sub cmdSaveProduction_Click(sender As Object, e As System.EventArgs) Handles cmdSaveProduction.Click
        ' Needs to check that all the data is provided
        ' get the company code
        ' build an sql string to inset the record
        '       If Me.cboProductionPartNumber.Text = "" Then
        'MsgBox("Missing Part Number", MsgBoxStyle.Information, "ONTOP")
        'Exit Sub
        'End If
        'If Me.cboProductionQuantity.Text = "" Then
        ' MsgBox("Missing Quantity", MsgBoxStyle.Information, "ONTOP")
        ' Exit Sub
        ' End If
        ' If Me.cboProductionTSign.Text = "" Then
        ' MsgBox("Missing Signature", MsgBoxStyle.Information, "ONTOP")
        ' Exit Sub
        ' End If
        ' If Me.cboProductionTO.Text = "" Then
        ' MsgBox("Missing WO", MsgBoxStyle.Information, "ONTOP")
        ' Exit Sub
        ' End If
        Utilities.SetScreenParameter("_param_Maskin", Me.cboMachine.Text, Session("UsersConnectionString"))
        Dim SQLCon As New SqlConnection
        Dim ConnectionString As String
        '       ConnectionString = ConfigurationManager.ConnectionStrings("ONTOPConnectionString").ConnectionString
        ConnectionString = Session("UsersConnectionString")
        SQLCon.ConnectionString = ConnectionString
        SQLCon.Open()
        Dim p_SQLCmd As New SqlCommand
        Dim strSQL As String
        strSQL = "INSERT INTO QuantityPlanning.TPIn_VW (Co,CoArtikel,CoMaskin,CoSign,Datum,[TO],Maskin,ArtNr,Antal,Sign) VALUES( " & Session("Co") & "," & Session("Co") & "," & Session("Co") & "," & Session("Co") & "," & _
                 "'" & FormatDateTime(Now.Date, DateFormat.ShortDate) & "','" & Me.cboProductionTO.Text & "','" & Me.txtProductionMachine.Text & "','" & _
                 Me.cboProductionPartNumber.Text & "','" & Me.cboProductionQuantity.Text & "','" & Me.cboProductionTSign.Text & "')"
        p_SQLCmd.Connection = SQLCon
        p_SQLCmd.CommandType = Data.CommandType.Text
        p_SQLCmd.CommandText = strSQL
        p_SQLCmd.ExecuteNonQuery()
        ' requery the list for the changes to the data
        Me.ListView4.DataBind()
        ' show a confirmation message
        Me.cboProductionPartNumber.SelectedIndex = -1
        Me.cboProductionQuantity.SelectedIndex = -1
        Me.cboProductionTSign.SelectedIndex = -1
        Me.cboProductionTO.SelectedIndex = -1
    End Sub
    Protected Sub cmdSaveScrap_Click(sender As Object, e As System.EventArgs) Handles cmdSaveScrap.Click
        ' Needs to check that all the data is provided
        ' get the company code
        ' build an sql string to inset the record
        Utilities.SetScreenParameter("_param_Maskin", Me.cboMachine.Text, Session("UsersConnectionString"))
        Dim SQLCon As New SqlConnection
        Dim ConnectionString As String
        '       ConnectionString = ConfigurationManager.ConnectionStrings("ONTOPConnectionString").ConnectionString
        ConnectionString = Session("UsersConnectionString")
        SQLCon.ConnectionString = ConnectionString
        SQLCon.Open()
        Dim p_SQLCmd As New SqlCommand
        Dim strSQL As String
        strSQL = "INSERT INTO TimePlanning.WEB_TKIn_vw_Maskin (Co,CoArtikel,CoMaskin,CoSign,Datum,[TO],Maskin,Artikel,Sign,Kassationskod,Antal) VALUES( " & Session("Co") & "," & Session("Co") & "," & Session("Co") & "," & Session("Co") & "," & _
                 "'" & FormatDateTime(Now.Date, DateFormat.ShortDate) & "','" & Me.cboScrapTO.Text & "','" & Me.txtScrapMachine.Text & "','" & _
                 Me.cboScrapPartNumber.Text & "','" & Me.cboScrapTSign.Text & "','" & Me.cboScrapScrapCode.Text & "','" & Me.cboScrapQuantity.Text & "')"
        p_SQLCmd.Connection = SQLCon
        p_SQLCmd.CommandType = Data.CommandType.Text
        p_SQLCmd.CommandText = strSQL
        p_SQLCmd.ExecuteNonQuery()
        ' requery the list for the changes to the data
        Me.ListView5.DataBind()
        ' show a confirmation message
        Me.cboScrapPartNumber.SelectedIndex = -1
        Me.cboScrapScrapCode.SelectedIndex = -1
        Me.cboScrapTSign.SelectedIndex = -1
        Me.cboScrapTO.SelectedIndex = -1
        Me.cboScrapQuantity.SelectedIndex = -1
    End Sub
    Protected Sub cmdSaveStops_Click(sender As Object, e As System.EventArgs) Handles cmdSaveStops.Click
        ' Needs to check that all the data is provided
        ' get the company code
        ' build an sql string to inset the record
        Utilities.SetScreenParameter("_param_Maskin", Me.cboMachine.Text, Session("UsersConnectionString"))
        Dim SQLCon As New SqlConnection
        Dim ConnectionString As String
        '       ConnectionString = ConfigurationManager.ConnectionStrings("ONTOPConnectionString").ConnectionString
        ConnectionString = Session("UsersConnectionString")
        SQLCon.ConnectionString = ConnectionString
        SQLCon.Open()
        Dim p_SQLCmd As New SqlCommand
        Dim strSQL As String
        strSQL = "INSERT INTO TimePlanning.WEB_TMAvb_vw_Maskin (Co,CoArtikel,CoSign,Datum,Maskin,MStopp,MStart,Kod,Kommentar,Sign) VALUES( " & Session("Co") & "," & Session("Co") & "," & Session("Co") & "," & _
                 "'" & FormatDateTime(Now.Date, DateFormat.ShortDate) & "','" & Me.txtStopsMachine.Text & "','" & _
                 Me.txtStopsStop.Text & "','" & Me.txtStopsStart.Text & "','" & Me.cboStopsCode.Text & "','" & Me.txtStopsComments.Text & "','" & Me.cboStopsTSign.Text & "')"
        p_SQLCmd.Connection = SQLCon
        p_SQLCmd.CommandType = Data.CommandType.Text
        p_SQLCmd.CommandText = strSQL
        p_SQLCmd.ExecuteNonQuery()
        ' requery the list for the changes to the data
        Me.ListView6.DataBind()
        ' show a confirmation message
        Me.cboStopsTSign.SelectedIndex = -1
        Me.cboStopsCode.SelectedIndex = -1
        Me.txtStopsComments.Text = ""
        Me.txtStopsStart.Text = ""
        Me.txtStopsStop.Text = ""
    End Sub
    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        If Session("LoggedIn") <> 1 Then
            Response.Redirect("Default.aspx")
        End If
        Session("CurrentDate") = Now().Date
    End Sub
End Class
